Imports DigitalData.Modules.Config
Imports DigitalData.Modules.Logging

Public Class frmConfigTest
    Private _LogConfig As LogConfig
    Private _config As ConfigManager(Of Config)
    Private _FilePath As String = IO.Path.Combine(Application.LocalUserAppDataPath, "UserConfig.xml")

    Private Sub ConfigTest_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        _LogConfig = New LogConfig(LogConfig.PathType.AppData)
        _config = New ConfigManager(Of Config)(_LogConfig, Application.UserAppDataPath, Application.CommonAppDataPath)
    End Sub

    Public Class Config
        Public Property StringEntry As String = "TEST"
        Public Property BoolEntry As Boolean = True
        Public Property IntEntry As Integer = 123
    End Class

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        _config.Config.IntEntry = 999
        _config.Save()
    End Sub
End Class